Public Attributes | List of all members
ble_l2cap_enh_lecb_cfm_conn_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

LE enhanced credit based connection confirm parameter. More...

`#include <ble_l2cap.h>`

## Public Attributes
bool | accept
| Whether to accept the enhanced lecb connection request. More...
uint16_t | mtu
| The MTU field specifies the maximum SDU size (in octets) that the L2CAP layer entity sending the response can receive on these channels. More...
uint16_t | mps
| The MPS field specifies the maximum payload size (in octets) that the L2CAP layer entity sending the response is capable of receiving on these channels. More...
uint16_t | local_credits
| The local_credits field specifies the number of F-frames that the peer device can send to the L2CAP layer entity sending respone. More...
uint16_t | chl_num
| The chl_num field specifies the number of channel created. More...
uint16_t | peer_cid [5]
| The peer_cid is an array of 5 two octet values and represents the channel endpoints on the device sending the resquest. More...
uint16_t | local_cid [5]
| The local_cid is an array of 5 two octet values and represents the channel endpoints on the device sending the response. More...

## Detailed Description

LE enhanced credit based connection confirm parameter.

Note
  The accept flag indicates whether the App accepts the LE enhanced credit based connection request.
  The MTU range is [64~max_mtu].
  The MPS range is [64~max_mps].
  About the max_mtu and max_mps config, please see ble_gap_l2cap_params_set.
  The local_credits required to be sure that at least one SDU can be received, otherwise the stack will use the default value: (MTU + MPS + 1) / MPS + 1.
  The chl_num indicates the number of channel.
  The peer_cid represents the channel endpoint list on the peer device.
  The local_cid represents the channel endpoint list on the local device, the value should be 0x0040-0x007F.

Definition at line 158 of file ble_l2cap.h.

## Member Data Documentation

## ◆ accept

bool ble_l2cap_enh_lecb_cfm_conn_t::accept

Whether to accept the enhanced lecb connection request.

Definition at line 159 of file ble_l2cap.h.

## ◆ chl_num

uint16_t ble_l2cap_enh_lecb_cfm_conn_t::chl_num

The chl_num field specifies the number of channel created.

Definition at line 163 of file ble_l2cap.h.

## ◆ local_cid

uint16_t ble_l2cap_enh_lecb_cfm_conn_t::local_cid[5]

The local_cid is an array of 5 two octet values and represents the channel endpoints on the device sending the response.

Definition at line 165 of file ble_l2cap.h.

## ◆ local_credits

uint16_t ble_l2cap_enh_lecb_cfm_conn_t::local_credits

The local_credits field specifies the number of F-frames that the peer device can send to the L2CAP layer entity sending respone.

Definition at line 162 of file ble_l2cap.h.

## ◆ mps

uint16_t ble_l2cap_enh_lecb_cfm_conn_t::mps

The MPS field specifies the maximum payload size (in octets) that the L2CAP layer entity sending the response is capable of receiving on these channels.

Definition at line 161 of file ble_l2cap.h.

## ◆ mtu

uint16_t ble_l2cap_enh_lecb_cfm_conn_t::mtu

The MTU field specifies the maximum SDU size (in octets) that the L2CAP layer entity sending the response can receive on these channels.

Definition at line 160 of file ble_l2cap.h.

## ◆ peer_cid

uint16_t ble_l2cap_enh_lecb_cfm_conn_t::peer_cid[5]

The peer_cid is an array of 5 two octet values and represents the channel endpoints on the device sending the resquest.

Definition at line 164 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h